Get milestone by ID
curl --request GET \
--url https://api.onset.io/v1/milestones/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onset.io/v1/milestones/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onset.io/v1/milestones/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"body": "<string>",
"slug": "<string>",
"status": "<string>",
"stage": "<string>",
"is_public": true,
"upvote_count": 123,
"project": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"labels": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"color": "<string>"
}
],
"attachments": [
{
"type": "FILE",
"content": {
"title": "<string>",
"url": "<string>",
"size": 123,
"type": "<string>"
},
"id": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"details": {}
}{
"error": "<string>",
"details": {}
}Milestones
Get milestone by ID
Retrieve a specific milestone by its ID
GET
/
milestones
/
{id}
Get milestone by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Milestone ID
Response
Milestone retrieved successfully
Unique milestone identifier
Milestone title
Milestone description/body content (HTML formatted)
URL-friendly milestone identifier
Current milestone status
Current milestone stage
Whether milestone is publicly visible
Number of votes for this milestone
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
When the milestone was created
When the milestone was last updated
Was this page helpful?
⌘I

